#
# spec file for package libfm-extra
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libfm-extra
Version:        1.2.3
Release:        4.2
Summary:        A glib/gio-based lib used to develop file managers
License:        GPL-2.0+
Group:          Development/Libraries/C and C++
Url:            http://www.lxde.org/
Source:         libfm-%{version}.tar.xz
BuildRequires:  gcc-c++
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A glib/gio-based library providing some file management utilities and
related-widgets missing in gtk+/glib. This is the core of PCManFM. The
library is desktop independent (not LXDE specific) and has clean API.
It can be used to develop other applications requiring file management
functionality. For example, you can create your own file manager with
facilities provided by libfm.

%package -n libfm-extra4
Summary:        A glib/gio-based lib used to develop file managers
Group:          Development/Libraries/C and C++

%description -n libfm-extra4
A glib/gio-based library providing some file management utilities and
related-widgets missing in gtk+/glib. This is the core of PCManFM. The
library is desktop independent (not LXDE specific) and has clean API.
It can be used to develop other applications requiring file management
functionality. For example, you can create your own file manager with
facilities provided by libfm.

%package devel
Summary:        Devel files for libfm
Group:          Development/Libraries/C and C++
Requires:       libfm-extra4 = %{version}
Requires:       pkg-config

%description devel
A glib/gio-based lib used to develop file managers providing some
file management utilities and related-widgets missing in gtk+/glib.

%prep
%setup -q -n libfm-%{version}

%build
%configure \
	--disable-static \
	-with-extra-only

# remove rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
# macro for parallel make
make %{?_smp_mflags}

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%post   -n libfm-extra4 -p /sbin/ldconfig

%postun -n libfm-extra4 -p /sbin/ldconfig

%files -n libfm-extra4
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS  README  TODO
%{_libdir}/libfm-extra.so.4
%{_libdir}/libfm-extra.so.4.0.3

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libfm-1.0
%{_includedir}/libfm-1.0/fm-extra.h
%{_includedir}/libfm-1.0/fm-version.h
%{_includedir}/libfm-1.0/fm-xml-file.h
%{_includedir}/libfm
%{_libdir}/pkgconfig/libfm-extra.pc
%{_libdir}/libfm-extra.so

%changelog
* Wed Oct 15 2014 andrea@opensuse.org
- new upstream release 1.2.3
  * Changed licence for libfm-extra and libfm components from
    GPL-2 to LGPL-2.1.
  * Fixed crash on dropping URL queries into some folder.
  * Fixed filename on dropping URI queries into folder: URI query
    like http://some.site/path/query.php?new=yes&mine=0 should be
    never saved with file name path/query.php?new=yes&mine=0 but
    as query.php instead like all the web browsers do.
  * Disabled debug messages in XML parser, it spammed a lot.
  * Fixed content type detection which was broken in last release.
  * Fixed incorrect call to g_environ_setenv() in the terminal
    call.
  * Replaced deprecated atk_component_get_position() calls.
  * Fixed invalid callback get_image_position() on ATK icon of
    ExoIconView, it could loop and therefore hang the application.
  * Disabled deprecated atk_focus_tracker_notify() with new libatk.
  * Fixed installation of headers with parallel install, it could
    create invalid symlink /usr/share/libfm/libfm in some
    conditions.
  * Corrected handling of application launch failure - launch
    content have to be informed about failure if startup notify id
    was retrieved from it before.
  * Fixed usage of POSIX.1-2001 declaration `environ' with GLib <
    2.28.
  * Fixed "out-of-tree" build (e.g. make distcheck).
  * Corrected menu cache to sync in
    fm_app_chooser_dlg_dup_selected_app(), otherwise it would not
    work without menu preloaded.
  * Fixed launch of applications with %%f or %%u argument - it
    should launch not just first file but all of them with the
    same command.
  * Fixed unneeded fm-folder-config save even if no changes were
    made.
  * Fixed not updated file in FmFolder if file was not changed
    within last 2 seconds. In case of fast download it was not
    updated in time. This may cause a little performance issue
    though due to thumbnails update.
  * Fixed crash if g_file_get_basename() returns NULL.
  * Fixed issue with desktop entry file selected in the
    Application chooser dialog, it tried to execute the desktop
    entry directly. Now it setups dialog fields from that desktop
    entry instead.
  * Fixed problem with unwanted application substitution in the
    Application chooser dialog: if user selected no name then no
    replacements should be attempted.
  * Fixed default app detection in Application chooser combo box.
* Mon Sep 15 2014 andrea@opensuse.org
- spec file clean up
* Fri Sep 12 2014 andrea@opensuse.org
- new libfm bootstrap package
